IvyConfigurationContainer (Gradle API 4.3.1)
Date: 2017-11-08

org.gradle.api.publish.ivy

## Interface IvyConfigurationContainer

- All Superinterfaces:
    Collection<IvyConfiguration>, org.gradle.util.Configurable<NamedDomainObjectContainer<IvyConfiguration>>, DomainObjectCollection<IvyConfiguration>, Iterable<IvyConfiguration>, NamedDomainObjectCollection<IvyConfiguration>, NamedDomainObjectContainer<IvyConfiguration>, NamedDomainObjectSet<IvyConfiguration>, Set<IvyConfiguration>

      @Incubating
      public interface IvyConfigurationContainer
      extends NamedDomainObjectContainer<IvyConfiguration>

  The set of `IvyConfiguration`s that will be included in the `IvyPublication`. Being a `NamedDomainObjectContainer`, a `IvyConfigurationContainer` provides convenient methods for adding, querying, filtering, and applying actions to the set of `IvyConfiguration`s.

       apply plugin: 'ivy-publish'

       def publication = publishing.publications.create("my-pub", IvyPublication)
       def configurations = publication.configurations

       configurations.create("extended", { extend "default"})
       configurations.all {
           extend "base"
       }

- - ### Method Summary

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectContainer

      `configure, create, create, create, maybeCreate`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getByName, getNamer, getNames, getRules`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `all, all, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.util.Collection

      `clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`